Bug 1069905 (CVE-2013-4322) - CVE-2013-4322 tomcat: incomplete fix for CVE-2012-3544
Summary: CVE-2013-4322 tomcat: incomplete fix for CVE-2012-3544
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4322
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1069925 1072499 1072510 1072511 1072516 1072517 1072518 1072519 1072520 1080306 1089886 1089890
Blocks: 1069924 1071958 1072796 1079801 1079803
TreeView+ depends on / blocked
 
Reported: 2014-02-25 21:50 UTC by Vincent Danen
Modified: 2019-09-29 13:13 UTC (History)
50 users (show)

Fixed In Version: tomcat 7.0.50, tomcat 6.0.39, tomcat 8.0.0-rc10
Doc Type: Bug Fix
Doc Text:
It was discovered that the fix for CVE-2012-3544 did not properly resolve a denial of service flaw in the way Tomcat and JBoss Web processed chunk extensions and trailing headers in chunked requests. A remote attacker could use this flaw to send an excessively long request that, when processed by Tomcat, could consume network bandwidth, CPU, and memory on the Tomcat server. Note that chunked transfer encoding is enabled by default.
Clone Of:
Environment:
Last Closed: 2015-03-25 22:06:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0429 normal SHIPPED_LIVE Moderate: tomcat6 security update 2014-04-23 22:27:58 UTC
Red Hat Bugzilla 961783 None None None Never
Red Hat Product Errata RHSA-2014:0525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.0.1 tomcat6 security update 2014-05-21 19:45:35 UTC
Red Hat Product Errata RHSA-2014:0526 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.0.1 tomcat7 security update 2014-05-21 20:06:31 UTC
Red Hat Product Errata RHSA-2014:0527 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.0.1 tomcat7 security update 2014-05-21 19:45:31 UTC
Red Hat Product Errata RHSA-2014:0528 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.0.1 tomcat6 security update 2014-05-21 19:45:27 UTC
Red Hat Product Errata RHSA-2014:0686 normal SHIPPED_LIVE Important: tomcat security update 2014-06-10 16:34:22 UTC

Internal Links: 961783

Description Vincent Danen 2014-02-25 21:50:57 UTC
The fix for CVE-2012-3544 was not complete. It did not cover the following cases:

a) Chunk extensions were not limited
b) Whitespace after the : in a trailing header was not limited

This has been corrected in upstream versions 8.0.0-rc10 [1],[2], 7.0.50 [3],[4], and 6.0.39 [5]

[1] http://svn.apache.org/viewvc?view=revision&revision=1521834
[2] http://svn.apache.org/viewvc?view=revision&revision=1549522
[3] http://svn.apache.org/viewvc?view=revision&revision=1521864
[4] http://svn.apache.org/viewvc?view=revision&revision=1549523
[5] http://svn.apache.org/viewvc?view=revision&revision=1556540

This could lead to a remote attacker causing a denial of service by streaming data, because Tomcat did not fully handle chunk extensions in chunked transfer coding.

Comment 2 Vincent Danen 2014-02-25 23:04:29 UTC
Created tomcat tracking bugs for this issue:

Affects: fedora-all [bug 1069925]

Comment 20 errata-xmlrpc 2014-04-23 18:30:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0429 https://rhn.redhat.com/errata/RHSA-2014-0429.html

Comment 23 errata-xmlrpc 2014-05-21 15:46:05 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 2.0.1

Via RHSA-2014:0528 https://rhn.redhat.com/errata/RHSA-2014-0528.html

Comment 24 errata-xmlrpc 2014-05-21 15:47:03 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 2.0.1

Via RHSA-2014:0527 https://rhn.redhat.com/errata/RHSA-2014-0527.html

Comment 25 errata-xmlrpc 2014-05-21 15:48:15 UTC
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2014:0525 https://rhn.redhat.com/errata/RHSA-2014-0525.html

Comment 26 errata-xmlrpc 2014-05-21 16:06:52 UTC
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2014:0526 https://rhn.redhat.com/errata/RHSA-2014-0526.html

Comment 27 errata-xmlrpc 2014-06-10 12:35:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0686 https://rhn.redhat.com/errata/RHSA-2014-0686.html

Comment 28 Fedora Update System 2014-09-26 09:02:25 UTC
tomcat-7.0.52-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.